Bug 851856 - [usuability] disk plug/unplugged indication is not clear and need tool tips all over the disks tab/sub tabs
[usuability] disk plug/unplugged indication is not clear and need tool tips a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Daniel Erez
Pavel Stehlik
storage
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 11:08 EDT by Miki Kenneth
Modified: 2016-02-10 15:23 EST (History)
9 users (show)

See Also:
Fixed In Version: SI24
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:08:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miki Kenneth 2012-08-26 11:08:16 EDT
when a boot disk is unplugged, we need to add exclamation mark on the disk to make sure the user understand that there is an issue with this VM.
(this should be done on the sub tab - cause it is per VM)

The current indication, red arrow is not clear and there is no tool tip on it.

In addition, on the disk tab, add indication when non-shareable disk in unplugged.
Comment 1 Ayal Baron 2012-09-03 11:15:38 EDT
To make things clear, need:
1. tooltip on disk status (active/inactive)
2. 'bootable' column

Beyond that it is totally valid to have a vm with:
1. no disks
2. no 'bootable' disks (e.g. boot is done from pxe, local disk used for profile only)
etc.

What actually happened? did you fail in runtime or in a canDoAction? (I'm assuming the former).

Sounds to me like we're trying to solve the wrong thing here.
The problem as I understand it is that we have a VM with no bootable *devices*.  This has nothing to do with any disk.
The *VM* should have an indication that it cannot be run.
Comment 2 Daniel Erez 2012-10-24 17:04:20 EDT
- Added a tooltip on disk status (active/inactive/locked).
- Added 'bootable' column to disks sub-tab.

http://gerrit.ovirt.org/#/c/8795/
I88eae57989e31dda08b747009a035aa695c0bebf
Comment 3 Allon Mureinik 2012-10-25 10:07:33 EDT
Merged I88eae57989e31dda08b747009a035aa695c0bebf
Comment 4 Leonid Natapov 2012-11-05 12:06:24 EST
fixed. si24.

Note You need to log in before you can comment on or make changes to this bug.